{ config, pkgs, lib, ... }:
with lib;
{
  config = mkIf config.modules.desktop.sway.enable {
    systemd.user.services.mako = {
      Service = {
        ExecStart = "${pkgs.mako}/bin/mako";
      };
      Install = {
        After = [ "sway-session.target" ];
        WantedBy = [ "sway-session.target" ];
      };
    };
    services.mako = {
      enable = true;
      font = "Fira Code Nerd Font 10";
      backgroundColor = "#353535FF";
      borderColor = "#1CD180";
      progressColor = "over #5566AAFF";
      textColor = "#FDFDFD";
      width = 300;
      height = 100;
      borderRadius = 0;
      borderSize = 2;
      icons = true;
      maxIconSize = 64;
      layer = "overlay";
      anchor = "top-right";
      format = ''
        <span font_scale='small-caps'>%a</span>\n<b>%s</b>\n%b
        '';
      extraConfig = ''
        [urgency="high"]
        border-color=#F268b3

        [app-name="cmus"]
        border-size=1
        default-timeout=7000
        group-by=app-name
        format=%b

        [app-name="cmus" grouped]
        format=%b
      '';
    };
  };
}
